GNET_STATS_COPY_QU(9)

NAME
gnet_stats_copy_queue - copy queue statistics into statistics TLV

SYNOPSIS

int gnet_stats_copy_queue (struct gnet_dump * d, struct gnet_stats_queue * q);

ARGUMENTS

d   dumping handle

q   queue statistics

DESCRIPTION

Appends the queue statistics to the top level TLV created by gnet_stats_start_copy.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.